Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: GnuPG: announce

GPA 0.6.1 released

 

 

GnuPG announce RSS feed   Index | Next | Previous | View Threaded


mcoca at gnu

Jan 30, 2003, 1:36 PM

Post #1 of 1 (786 views)
Permalink
GPA 0.6.1 released

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello,

We are pleased to announce the release of GPA 0.6.1

GPA is a graphical frontend for the GNU Privacy Guard (GnuPG,
http://www.gnupg.org). GPA can be used to encrypt, decrypt, and sign files,
to verify signatures and to manage the private and public keys.

GPA depends on the GnuPG Made Easy (GPGME) library, version 0.4.0. It
should work with later versions, but as GPGME 0.4 is still under
development, we can make no guarantees.

This is a development release. Please be careful when using it on
production keys.

You can find the release here:

ftp://ftp.gnupg.org/gcrypt/alpha/gpa/gpa-0.6.1.tar.gz
ftp://ftp.gnupg.org/gcrypt/alpha/gpa/gpa-0.6.1.tar.gz.sig

The MD5 checksums for this release are:

4dfae51609abfc19d036542f5305bfda gpa-0.6.1.tar.gz
2863f78863162b6acff4ed844122c8cf gpa-0.6.1.tar.gz.sig

Noteworthy changes in version 0.6.1 (2003-01-29)
- ------------------------------------------------

* Added a popup menu to the keyring view, with all the common operations.

* Keys' expiration dates can be choosen by clicking on a calendar.

* The key generation dialogs have been revamped to use GTK+2 stock widgets.

* The passphrase for a key can be changed from the edit key dialog.

* Revoked user names are properly treated. They are not displayed, save in
the details notebook, and then they are clearly marked as revoked.

* GPA now uses the standard GTK+ file selection dialog.

* Added Swedish translation.

* Many other bugfixes, including several portability issues.

Known problems in version 0.6.1
- --------------------------------

* Keyserver access now depends on the GnuPG's plugins themselves, instead
of on the gpg executable. Therefore, these plugins must be installed for
keyserver access to work:

- LDAP keyservers require the gpgkeys_ldap plugin, which is
automatically compiled along with gpg if the OpenLDAP libraries are
available.

- HKP keyserver access needs gpgkeys_hkp, which is provided by
default along with GnuPG >= 1.3.0, and can be compiled for GnuPG
1.2.x by passing the --enable-external-hkp option to configure.

* It's been reported that compiling a Win32 version of GPA is impossible
right now, due to our dependence on GPGME.

- --
Miguel Coca (mcoca [at] gnu) http://zipi.fi.upm.es/~e970095/
OpenPGP: E60A CBF4 5C6F 914E B6C1 C402 8C4D C7B6 27FC 3CA8
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+OEfijE3Htif8PKgRAvGCAKDKJQTxKvBb9rQtHE/TbtZ4YFcA+gCfYgvr
4YuuD3XAc3bWXaZO5+fJ2hk=
=fem2
-----END PGP SIGNATURE-----

GnuPG announce RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.